Bug 1002722 - laptop freezes after suspend or sleep lenovo g570
Summary: laptop freezes after suspend or sleep lenovo g570
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-29 19:21 UTC by drobot viktor
Modified: 2015-12-02 16:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:56:33 UTC
Type: Bug


Attachments (Terms of Use)

Description drobot viktor 2013-08-29 19:21:50 UTC
Description of problem: my laptop always freezes when it was wakep up after suspend or sleep. KDE login window usually appears when i wake my laptop up after suspend but i can't even press Ctrl-Alt-F(1-7) or Ctrl-Alt-Del and can't move my mouse


Version-Release number of selected component (if applicable): xorg-x11-drv-intel-2.21.12-2.fc19.x86_64


How reproducible: always


Steps to Reproduce:
1. sleep or suspend laptop
2. wake it up
3. get a freeze

Actual results: laptop completely freezes on waking up


Expected results: laptop wakes up normally, mouse and keyboard are working properly


Additional info: no

Comment 1 Nathanael Noblet 2014-06-22 03:52:32 UTC
So I have very similar behaviour. My laptop isn't 'frozen' persay. I know this because the clock continues to update (I'm using GNOME). I can put it back to sleep by closing the lid - and if near another linux machine can ssh to the laptop but there aren't any signs of what is going wrong. 

*Sometimes* closing and re-opening the lid allows me to type and login. 

*Sometimes* the keyboard freezes up after a keystroke or two. 

*Sometimes* I can see that it is continually hitting enter as I get failed login after failed login. I'm unable to move the mouse or type. 

I wondered if you have anything similar. As in sometimes putting the computer back to sleep it'll allow you to login on resume?

Also I've tried setting atkbd.reset to the grub command line as I'd seen people with similar complains online but that has not worked for me. Otherwise I have the same description as you. I also have an intel chipset:

00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)

Comment 2 Nathanael Noblet 2014-06-22 19:18:47 UTC
So I tried the following today. I switched to a tty and logged in as root, then ran pm-suspend. When I woke the machine the keyboard again was not functional. I also received some messages on the terminal.

ath: phy0: RX failed to go idle in 10ms RXSM=0xdeadbeef
ath: phy0: DMA failed to stop in 10 ms AR_CR=0xdeadbeef AAR_DIAG_SW=0xdeadbeef DMADBG_7=0xdeadbeef
xhci_hdc 0000:00:14.0: Setup ERROR: setup context command for slot 2.
xhci_hdc 0000:00:14.0: Setup ERROR: setup context command for slot 2.
xhci_hdc 0000:00:14.0: Setup ERROR: setup context command for slot 1.
xhci_hdc 0000:00:14.0: Setup ERROR: setup context command for slot 1.

Haven't searched google about it yet but will report back if I find anything related.

Comment 3 Fedora End Of Life 2015-01-09 19:38:47 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Nathanael Noblet 2015-01-09 19:59:47 UTC
This still affects me. I have tried to unbind/bind the usb root hubs etc... Nothing I've done can kick the keyboard into working. When it happens I have two choices. Suspend and resume again over and over until it works or a hard reboot.

Comment 5 Gregory David Martinez 2015-09-12 20:31:57 UTC
I had/have the same problem.  After some googling, it seems other people had some succeed turning off rc6 by adding "i915.i915_enable_rc6=0" to the grub commandline. e.g. adding this to "GRUB_CMDLINE_LINUX=" to /etc/default/grub and then grub2-mkconfig -o /path_to_grub_cfg/grub.cfg.  But this will shorten your battery life though.

Comment 6 Fedora End Of Life 2015-11-04 10:33:11 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-12-02 02:56:37 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.